package GenRGenS.ratexpr;
import java.math.BigDecimal;

/** Classe représentant l'expression f^p */
class RatExprPuiss implements RatExpr {
	
	RatExpr _e;
	int _puiss;
	
	public RatExprPuiss(RatExpr e,int puiss) {
		_e = e;
		_puiss = puiss;
	}
	
	public RatExprPuiss(RatExpr e, BigDecimal puiss) {
		this(e,puiss.intValue());
	}
	
	public RatExpr getExpression() { return _e; }
	
	public int getPuissance() { return _puiss; }
	
	public String toString() {
		return "("+_e.toString()+"^"+_puiss+")";
	}
	
}